All of lore.kernel.org
 help / color / mirror / Atom feed
From: Seewer Philippe <philippe.seewer-omB+W0Dpw2o@public.gmane.org>
To: "<initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org>"
	<initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org>
Subject: [PATCH 2/2] Add nfsroot option handler
Date: Sat, 14 Mar 2009 13:53:07 +0100	[thread overview]
Message-ID: <49BBA8B3.6090201@bfh.ch> (raw)

This just parses for root=/dev/nfs and then sets the correct variables 
for the mount script, which automatically uses mount.nfs

---
 modules.d/40nfsroot/check      |    5 +++++
 modules.d/40nfsroot/install    |    7 +++++++
 modules.d/40nfsroot/nfsroot.sh |   16 ++++++++++++++++
 3 files changed, 28 insertions(+), 0 deletions(-)

diff --git a/modules.d/40nfsroot/check b/modules.d/40nfsroot/check
new file mode 100755
index 0000000..b7378c3
--- /dev/null
+++ b/modules.d/40nfsroot/check
@@ -0,0 +1,5 @@
+#!/bin/sh
+#
+# This is not a module that should be selected when we try to
+# autoconfigure the initrd 
+exit 1
diff --git a/modules.d/40nfsroot/install b/modules.d/40nfsroot/install
new file mode 100755
index 0000000..b68e5d8
--- /dev/null
+++ b/modules.d/40nfsroot/install
@@ -0,0 +1,7 @@
+#!/bin/bash
+dracut_install mount.nfs portmap
+
+instmods nfs
+
+# install our scripts and hooks
+inst_hook pre-mount 20 "$moddir/nfsroot.sh"
diff --git a/modules.d/40nfsroot/nfsroot.sh b/modules.d/40nfsroot/nfsroot.sh
new file mode 100755
index 0000000..757f162
--- /dev/null
+++ b/modules.d/40nfsroot/nfsroot.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# Parse nfsroot options, set NETBOOT to yes to enable mininm.sh and
+# start portmap for nfsmounting 
+
+getarg 'root=/dev/nfs' || continue;
+
+NETBOOT="yes"
+
+nfsroot=$(getarg 'nfsroot=')
+
+fstype="-t nfs"
+rflags=${nfsroot##*:}
+root=${nfsroot%:*}
+
+/sbin/portmap
--
To unsubscribe from this list: send the line "unsubscribe initramfs" in
the body of a message to majordomo-u79uwXL29TY76Z2rM5mHXA@public.gmane.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

                 reply	other threads:[~2009-03-14 12:53 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=49BBA8B3.6090201@bfh.ch \
    --to=philippe.seewer-omb+w0dpw2o@public.gmane.org \
    --cc=initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.